---
title: Box
description: Box is the most primitive layout component. It’s a way to access Polaris design tokens.
category: Structure
keywords:
  - layout
status:
  value: Alpha
  message: This component and its documentation is in development. There could be breaking changes made to it in a non-major release of Polaris. Please use with caution.
examples:
  - fileName: box-default.tsx
    title: Default
    description: >-
      By default, box has no padding, borders, border radius, background, or shadows.
  - fileName: box-with-color.tsx
    title: Color
    description: >-
      Background color of box and text color inside a box can be adjusted using the [Color tokens](https://polaris.shopify.com/tokens/colors).
  - fileName: box-with-border.tsx
    title: Border
    description: >-
      Border width can be adjusted using the [Shape tokens](https://polaris.shopify.com/tokens/shape), and a subset of tokens allows different types of border.
  - fileName: box-with-border-radius.tsx
    title: Border radius
    description: >-
      Border radius can be adjusted using the [Shape tokens](https://polaris.shopify.com/tokens/shape).
  - fileName: box-with-padding.tsx
    title: Padding
    description: >-
      Padding can be added to either all sides, left, right, top, and bottom, using the [Spacing tokens](https://polaris.shopify.com/tokens/spacing).
  - fileName: box-with-shadow.tsx
    title: Shadow
    description: >-
      Shadow can be applied using the Shadow token. The base is [--p-shadow-base](https://polaris.shopify.com/tokens/depth).
---

## Related components

- For more specific use cases, [use the Card component](https://polaris.shopify.com/components/card)
