---
title: Inline
description: Use to arrange items in a horizontal row with equal spacing around them. Items wrap onto multiple lines when needed.
category: Structure
keywords:
  - layout
status:
  value: Alpha
  message: This component and its documentation is in development. There could be breaking changes made to it in a non-major release of Polaris. Please use with caution.
examples:
  - fileName: inline-default.tsx
    title: Default
    description: >-
      Items are vertically centered with 16px of space around them. They’ll wrap onto multiple lines when needed.
  - fileName: inline-with-non-wrapping.tsx
    title: Non-wrapping
    description: >-
      Use to create Inline where the children will not wrap to new rows on small screens.
  - fileName: inline-with-gap.tsx
    title: Gap
    description: >-
      Use to control gaps around items in inline in standard increments.
  - fileName: inline-with-vertical-alignment.tsx
    title: Vertical alignment
    description: >-
      Use to vertically align Inline.
  - fileName: inline-with-horizontal-alignment.tsx
    title: Horizontal alignment
    description: >-
      Use to horizontally align Inline.
---

## Related components

- To display elements vertically, [use the AlphaStack component](https://polaris.shopify.com/components/alphastack)
